Vulnerability & Exploit Database

Back to search

Wordpress Pingback Locator

This module will scan for wordpress sites with the Pingback API enabled. By interfacing with the API an attacker can cause the wordpress site to port scan an external target and return results. Refer to the wordpress_pingback_portscanner module. This issue was fixed in wordpress 3.5.1

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

auxiliary/scanner/http/wordpress_pingback_access

Authors

  • Thomas McCarthy "smilingraccoon" <smilingraccoon [at] gmail.com>
  • Brandon McCann "zeknox" <bmccann [at] accuvant.com>
  • Christian Mehlmauer <FireFart [at] gmail.com>

References

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use auxiliary/scanner/http/wordpress_pingback_access msf auxiliary(wordpress_pingback_access) > show actions ...actions... msf auxiliary(wordpress_pingback_access) > set ACTION <action-name> msf auxiliary(wordpress_pingback_access) > show options ...show and set options... msf auxiliary(wordpress_pingback_access) > run

Related Vulnerabilities